Name:		nuvolaplayer
Version:	2.0.2
Release:	%mkrel 2
License:	BSD
Summary:	Cloud Music Integration for the Desktop
URL:		http://nuvolaplayer.fenryxo.cz/home.html
Group:		Sound/Players
Source0:	https://launchpad.net/nuvola-player/2.0.x/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	librsvg
BuildRequires:	pkgconfig(dbusmenu-glib-0.4)
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(javascriptcoregtk-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	vala-devel

Requires:	glib-networking

%description
Nuvola Player runs a web interface of cloud music services in its own window
and provides integration with a Linux desktop (multimedia keys, system tray,
media player applets, dock menu, notifications and more).


%prep
%setup -q


%build
%{__python} ./waf configure --prefix=%{_prefix} --no-unity-quick-list --no-svg-optimization
%{__python} ./waf build --prefix=%{_prefix}


%install
%{__python} ./waf install --prefix=%{_prefix} --destdir=%{buildroot}
%find_lang %{name}


%files -f %{name}.lang
%doc CHANGELOG COPYRIGHT licenses README
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_prefix}/lib/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/gnome-control-center/default-apps/nuvolaplayer.xml


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 361083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 sander85 <sander85> 2.0.2-1.mga3
+ Revision: 339946
- New version: 2.0.2

* Mon Dec 10 2012 sander85 <sander85> 2.0.1-1.mga3
+ Revision: 329424
- Add licenses to %%doc
- imported package nuvolaplayer

